package com.sunzee.service;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;

/**
 * @author whw
 * @time 2019/4/17
 * @Description 下载服务
 */
public class DownServer extends Service {
    static final String TAG = "DownServer";
    Context context = this;
    private final DownPresenter mDownPresenter;

    public DownServer() {
        mDownPresenter = DownPresenter.getInstance();
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        mDownPresenter.onStartCommand(intent, flags, startId);
        return super.onStartCommand(intent, flags, startId);
    }
}
